aboutsummaryrefslogtreecommitdiff
path: root/tests/test_split.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test_split.sh')
-rw-r--r--tests/test_split.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/test_split.sh b/tests/test_split.sh
index 562876a..45d9abd 100644
--- a/tests/test_split.sh
+++ b/tests/test_split.sh
@@ -8,6 +8,11 @@ test_splitfits_data1() {
return 1
fi
+ find . -regex '.*\.part_[0-9]+' | xargs -I'{}' cat '{}' >> streamed.fits
+ if ! diff ${datafile} streamed.fits; then
+ return 1
+ fi
+
return 0
}